Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface CanvasAbstractItem

All Known Subinterfaces:
  CanvasItem, CompositeItem, LinkItem, NodeItem, OvalNodeItem, RectangleNodeItem

All Known Implementing Classes:
  CanvasItemImpl

public interface CanvasAbstractItem
extends Create, CreateS, Drop, DropS

An abstract class for items on a Canvas.. CanvasAbstractItem is the root class of all items drawn on a Canvas.

Method Summary
`void` | `clicked()` Called when a mouse click occurs.
`Canvas` | `getCanvas()` Return the canvas.
`void` | `initiateMoveX$Y(int deltaX, int deltaY)` Method to be implemented by subclass.
`void` | `setClickSel(Selector sel)` Sets the message that will be sent upon a click on this item.
`void` | `setMoveSel(Selector sel)` Sets the message that will effect the motion of the item on the canvas.
`void` | `setPostMoveSel(Selector sel)` Sets the message that will dictate what happens after the item is moved.
`void` | `setTargetId(java.lang.Object target)` Designates the object to which this item refers.

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### setTargetId

    public void setTargetId(java.lang.Object target)

  Designates the object to which this item refers.

### setClickSel

    public void setClickSel(Selector sel)

  Sets the message that will be sent upon a click on this item.

### setMoveSel

    public void setMoveSel(Selector sel)

  Sets the message that will effect the motion of the item on the canvas.

### setPostMoveSel

    public void setPostMoveSel(Selector sel)

  Sets the message that will dictate what happens after the item is moved.

### clicked

    public void clicked()

  Called when a mouse click occurs.

### initiateMoveX$Y

    public void initiateMoveX$Y(int deltaX,
                                int deltaY)

  Method to be implemented by subclass.

### getCanvas

    public Canvas getCanvas()

  Return the canvas.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD